CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

calibre-debug [opções]

Várias interfaces de linhas de comando úteis para depurar o Calibre. Executado sem opções, este comando inicia um interpretador de Python. Pode também executar a interface de utilizador principal, o visualizador e o editor em modo depuração.

Contém também as interfaces para várias partes do Calibre que não têm ferramentas de linha de comando dedicadas, tais como definição de fontes, ferramenta de diferenças entre livros digitais e outras.

Pode ainda utilizar calibre-debug para executar scripts em modo independente. Para tal, corra o seguinte:

calibre-debug myscript.py -- --option1 --option2 file1 file2 ...

Tudo após -- será passado ao script como parâmetro.

Sempre que passar argumentos para o calibre-debug que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

[OPÇÕES]

--add-simple-plugin
    Adiciona um plugin simples (isto é, um plugin composto apenas de um ficheiro .py) especificando o caminho para o ficheiro py que contém o código do plugin.

--command, -c
    Executar código Python.

--debug-device-driver, -d
    Depurar deteção de dispositivos

--default-programs
    Retirar o Calibre do registo de programas predefinidos do Windows --default-programs = (register|unregister)

--diff
    Executar a ferramenta Diff do Calibre. Por exemplo: Calibre-debug --diff -- file1 file2

--edit-book, -t
    Iniciar a ferramenta "Editar livro" em modo de depuração.

--exec-file, -e
    Executar o código Python no ficheiro.

--explode-book, -x
    Explode the book into the specified directory. Usage: -x file.epub output_dir Exports the book as a collection of HTML files and metadata, which you can edit using standard HTML editing tools. Works with EPUB, AZW3, HTMLZ and DOCX files.

--export-all-calibre-data
    Export all calibre data (books/settings/plugins). Normally, you will be asked for the export dir and the libraries to export. You can also specify them as command line arguments to skip the questions. Use absolute paths for the export directory and libraries. The special keyword "all" can be used to export all libraries.

--gui, -g
    Executar a interface de utilizador em modo de depuração. A informação da depuração será escrita em stdout e stderr.

--gui-debug
    Executar a interface de utilizador com uma consola de depuração, gravando registos na localização especificada. Apenas para uso interno, use a opção -g para executar a interface de utilizador em modo de depuração

--help, -h
    mostrar esta mensagem de ajuda e sair

--implode-book, -i
    Implode a previously exploded book. Usage: -i output_dir file.epub Imports the book from the files in output_dir which must have been created by a previous call to --explode-book. Be sure to specify the same file type as was used when exploding.

--import-calibre-data
    Importar dados previamente exportados do Calibre

--inspect-mobi, -m
    Inspecionar ficheiro(s) MOBI nas localizações especificadas

--paths
    Mostra as localizações de sistema necessárias para configurar o ambiente do Calibre

--reinitialize-db
    Reinicializar a base de dados SQLite do Calibre no caminho especificado. Útil para recuperar de uma corrupção na base de dados.

--run-plugin, -r
    Executar um plugin que forneça uma interface de linha de comandos. Por exemplo: calibre-debug -r "Add Books" -- file1 --option1 Tudo depois de -- será passado para o plugin como argumentos.

--shutdown-running-calibre, -s
    Causa a terminação de uma instância do Calibre, caso exista alguma em execução. Note que se existirem tarefas em execução estas serão silenciosamente canceladas pelo que deve usar esta funcionalidade com cuidado.

--subset-font, -f
    Subdivida o tipo de letra especificado. Use -- depois desta opção para passar a opção pelo programa de subdivisão de fontes.

--test-build
    Testar módulos binário na produção

--version
    mostrar o número da versão do programa e sair

--viewer, -w
    Executar o visualizador de livros digitais no modo de depuração

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal